CVC4::AbstractValue Class Reference

`#include <abstract_value.h>`

## Public Member Functions

| AbstractValue (Integer index) throw (IllegalArgumentException)
| ~AbstractValue () throw ()
const Integer & | getIndex () const throw ()
bool | operator== (const AbstractValue &val) const throw ()
bool | operator!= (const AbstractValue &val) const throw ()
bool | operator< (const AbstractValue &val) const throw ()
bool | operator<= (const AbstractValue &val) const throw ()
bool | operator> (const AbstractValue &val) const throw ()
bool | operator>= (const AbstractValue &val) const throw ()

## Detailed Description

Definition at line 26 of file abstract_value.h.

## Constructor & Destructor Documentation

## AbstractValue()

CVC4::AbstractValue::AbstractValue | ( | Integer | index | ) |
throw | ( | IllegalArgumentException ) |  |  |

inline

Definition at line 31 of file abstract_value.h.

References CVC4::CheckArgument().

## ~AbstractValue()

CVC4::AbstractValue::~AbstractValue | ( |  | ) |
throw | ( | ) |  |  |

inline

Definition at line 36 of file abstract_value.h.

## Member Function Documentation

## getIndex()

const Integer & CVC4::AbstractValue::getIndex | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 39 of file abstract_value.h.

Referenced by CVC4::AbstractValueHashFunction::operator()().

## operator!=()

bool CVC4::AbstractValue::operator!= | ( | const AbstractValue & | val | ) | const
throw | ( | ) |  |  |

inline

Definition at line 46 of file abstract_value.h.

## operator<()

bool CVC4::AbstractValue::operator< | ( | const AbstractValue & | val | ) | const
throw | ( | ) |  |  |

inline

Definition at line 50 of file abstract_value.h.

## operator<=()

bool CVC4::AbstractValue::operator<= | ( | const AbstractValue & | val | ) | const
throw | ( | ) |  |  |

inline

Definition at line 53 of file abstract_value.h.

## operator==()

bool CVC4::AbstractValue::operator== | ( | const AbstractValue & | val | ) | const
throw | ( | ) |  |  |

inline

Definition at line 43 of file abstract_value.h.

## operator>()

bool CVC4::AbstractValue::operator> | ( | const AbstractValue & | val | ) | const
throw | ( | ) |  |  |

inline

Definition at line 56 of file abstract_value.h.

## operator>=()

bool CVC4::AbstractValue::operator>= | ( | const AbstractValue & | val | ) | const
throw | ( | ) |  |  |

inline

Definition at line 59 of file abstract_value.h.

The documentation for this class was generated from the following file:

- src/util/abstract_value.h